Subject: bug#32770: Packaging SLIME/SWANK as Common Lisp library

From: Ricardo Wurmus <[email-masked]>
Date: Fri, 05 Oct 2018 13:44:56 +0200

Pierre Neidhardt <[email-masked]> writes:

>> What I'm
>> thinking of is something like a configure script to set the library
>> paths before building is done.  I think there are some examples of
>> guile projects which do just that.
>
> Hmm, I'm not sure I understand what you mean.  Could you provide an example?

In “guile-sly”, for example, the configure script accepts
“--with-libfreeimage-prefix=” and “--with-libgslcblas-prefix=”, which
are then used to construct a full path to the libraries.  In other cases
where the build system does not provide a mechanism for this we need to
patch the sources such as in “guile-dbi”.

-- 
Ricardo